Bug 359561 - Typo in smartd-conf.py causes smartd to skip all disks
Summary: Typo in smartd-conf.py causes smartd to skip all disks
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: smartmontools   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-31 03:12 UTC by David Shaw
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 5.37-3.3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 23:54:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for smartd-conf.py (628 bytes, patch)
2007-10-31 03:12 UTC, David Shaw
no flags Details | Diff

Description David Shaw 2007-10-31 03:12:48 UTC
Description of problem:

There is a minor typo in the smartd-conf.py script that causes it to not detect
any disks.

Version-Release number of selected component (if applicable):

smartmontools-5.37-3.2.fc7

Steps to Reproduce:
1. Install smartmontools and /etc/rc.d/init.d/smartd start
2. See that there are no disks defined in /etc/smartd.conf

Additional info:

smartd-conf.py calls smartctl to check a disk is smart-capable before putting it
in /etc/smartd.conf.  Unfortunately, there is a typo in the script which causes
smartctl to fail, and that causes the script to skip the disk.

Patch is attached.

Comment 1 David Shaw 2007-10-31 03:12:48 UTC
Created attachment 244031 [details]
Patch for smartd-conf.py

Comment 2 Fedora Update System 2007-11-06 16:06:15 UTC
smartmontools-5.37-7.1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smartmontools'

Comment 3 Fedora Update System 2007-11-09 23:43:37 UTC
smartmontools-5.37-3.3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smartmontools'

Comment 4 David Shaw 2007-11-10 21:30:35 UTC
smartmontools-5.37-3.3.fc7 seems to work nicely for me on 7.  Thanks.

Comment 5 Fedora Update System 2007-11-12 23:54:45 UTC
smartmontools-5.37-3.3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-11-12 23:54:59 UTC
smartmontools-5.37-7.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.